function [Conv,div_Conv] = ComputeVelocity(X,velo)
% 
% Velocity at the mesh nodes

if velo == 1
    n = size(X,1); 
    Conv = [-X(:,2), X(:,1)];
    div_Conv = zeros(n,1) ;
elseif velo == 2
    n = size(X,1); 
    Conv = [ones(n,1), zeros(n,1)];
    div_Conv = zeros(n,1) ;
elseif velo == 3
    n = size(X,1); 
    Conv = ones(size(X)) / sqrt(2); 
    div_Conv = zeros(n,1) ;
    
    %%%%%% Modified Case for exe2(2,4 BC) %%%%%% 
elseif velo == 4
    n = size(X,1); 
    Conv = [-X(:,1), -X(:,2)];
    div_Conv = -2*ones(n,1) ;
  
elseif velo == 5
    n = size(X,1); 
    Conv = [X(:,1), X(:,2)];
    div_Conv = 2*ones(n,1) ;
else
    error('not available velocity')
end